## cascading.pipe.cogroup
Class CoGroupClosure

    java.lang.Object
      cascading.pipe.cogroup.GroupClosure
          cascading.pipe.cogroup.CoGroupClosure

    public class CoGroupClosure

extends GroupClosure

Class CoGroupClosure is used internally to represent co-grouping results of multiple tuple streams.

"org.apache.hadoop.io.compress.LzoCodec,org.apache.hadoop.io.compress.GzipCodec,org.apache.hadoop.io.compress.DefaultCodec"

Field Summary
`static String` `SPILL_CODECS`
`static String` `SPILL_COMPRESS`
`static String` `SPILL_THRESHOLD`

Constructor Summary
`CoGroupClosure(FlowProcess flowProcess, int numSelfJoins, Fields[] groupingFields, Fields[] valueFields)`

Method Summary
`CompressionCodec` `getCompressionCodec(FlowProcess flowProcess)`
`Iterator<Tuple>` `getIterator(int pos)`
`boolean` `isEmpty(int pos)`
`void` `reset(Joiner joiner, Tuple grouping, Iterator values)`
`int` `size()`

Methods inherited from class cascading.pipe.cogroup.GroupClosure
`getFlowProcess, getGrouping, makeIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPILL_THRESHOLD

    public static final String SPILL_THRESHOLD

See Also:
  Constant Field Values

### SPILL_COMPRESS

    public static final String SPILL_COMPRESS

See Also:
  Constant Field Values

### SPILL_CODECS

    public static final String SPILL_CODECS

See Also:
  Constant Field Values

Constructor Detail

### CoGroupClosure

    public CoGroupClosure(FlowProcess flowProcess,
                          int numSelfJoins,
                          Fields[] groupingFields,
                          Fields[] valueFields)

Method Detail

### size

    public int size()

  Overrides:
    `size` in class `GroupClosure`

### getIterator

    public Iterator<Tuple> getIterator(int pos)

  Overrides:
    `getIterator` in class `GroupClosure`

### isEmpty

    public boolean isEmpty(int pos)

### reset

    public void reset(Joiner joiner,
                      Tuple grouping,
                      Iterator values)

  Overrides:
    `reset` in class `GroupClosure`

### getCompressionCodec

    public CompressionCodec getCompressionCodec(FlowProcess flowProcess)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.